<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/shape_main_top_bg"
            app:layout_constraintBottom_toBottomOf="@id/tv_today_time"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_today_amount_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:text="今日營業額($)"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_today_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:includeFontPadding="false"
            android:text="0"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_40"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_today_amount_text" />

        <TextView
            android:id="@+id/tv_compare_today_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:text="較昨日："
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@id/tv_compare_today_state"
            app:layout_constraintTop_toBottomOf="@id/tv_today_amount" />


        <ImageView
            android:id="@+id/tv_compare_today_state"
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_9"
            app:layout_constraintBottom_toBottomOf="@id/tv_compare_today_text"
            app:layout_constraintLeft_toRightOf="@id/tv_compare_today_text"
            app:layout_constraintRight_toLeftOf="@id/tv_compare_today_size"
            app:layout_constraintTop_toTopOf="@id/tv_compare_today_text" />

        <TextView
            android:id="@+id/tv_compare_today_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_compare_today_text"
            app:layout_constraintLeft_toRightOf="@id/tv_compare_today_state"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_compare_today_text" />


        <com.lihang.ShadowLayout
            android:id="@+id/cv_white_bg"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_250"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@color/white"
            app:hl_cornerRadius="@dimen/dp_4"
            app:hl_dy="@dimen/main_shadow_dy"
            app:hl_shadowBackColor="@color/white"
            app:hl_shadowColor="@color/shadow_color"
            app:hl_shadowLimit="@dimen/main_shadow_limit"
            app:layout_constraintTop_toBottomOf="@id/tv_compare_today_text" />


        <TextView
            android:id="@+id/tv_today_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_35"
            android:paddingBottom="@dimen/dp_6"
            android:textColor="#181818"
            android:textSize="@dimen/sp_15"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_compare_today_text" />
        <!--        com.daivd.chart.core.LineChart-->

        <com.gingersoft.gsa.cloud.ui.AAChartCoreLib.AAChartConfiger.AAChartView
            android:id="@+id/line_chart_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:focusable="true"
            android:focusableInTouchMode="true"
            app:layout_constraintBottom_toTopOf="@id/tv_more_report"
            app:layout_constraintLeft_toLeftOf="@id/cv_white_bg"
            app:layout_constraintRight_toRightOf="@id/cv_white_bg"
            app:layout_constraintTop_toBottomOf="@id/tv_today_time" />


        <!--        <com.example.anan.AAChartCore.AAChartCoreLib.AAChartConfiger.AAChartView-->
        <!--            android:id="@+id/AAChartView"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent" />-->

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_more_report"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10"
            android:text="更多報表 >"
            android:textColor="#3c3c3c"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/cv_white_bg"
            app:layout_constraintLeft_toLeftOf="@id/cv_white_bg"
            app:layout_constraintRight_toRightOf="@id/cv_white_bg" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <com.lihang.ShadowLayout
        android:id="@+id/layout_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:orientation="horizontal"
        app:hl_cornerRadius="@dimen/dp_4"
        app:hl_dy="@dimen/main_shadow_dy"
        app:hl_shadowBackColor="@color/white"
        app:hl_shadowColor="@color/shadow_color"
        app:hl_shadowLimit="@dimen/main_shadow_limit"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/dp_20"
            android:paddingTop="@dimen/dp_15"
            android:paddingRight="@dimen/dp_20"
            android:paddingBottom="@dimen/dp_15"><!--        項目總金額-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_total_amount_project"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="項目總金額"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_12" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="較昨日："
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                    <ImageView
                        android:id="@+id/iv_project_amount_state"
                        android:layout_width="@dimen/dp_8"
                        android:layout_height="@dimen/dp_9"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/tv_project_amount_trend"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="較昨日："
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_12"
                    android:visibility="gone" />
            </LinearLayout>

            <!--        消費人數-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_consumers_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="消費人數"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_12" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平均："
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/tv_per_capita_consumption"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="較昨日："
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                    <ImageView
                        android:id="@+id/iv_people_trend"
                        android:layout_width="@dimen/dp_8"
                        android:layout_height="@dimen/dp_9"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/tv_people_trend"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />
                </LinearLayout>
            </LinearLayout>

            <!--        賬單單數-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_bill_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="賬單單數"
                    android:textColor="#3c3c3c"
                    android:textSize="@dimen/sp_12" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平均："
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/tv_average_consumption_per_order"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="較昨日："
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />

                    <ImageView
                        android:id="@+id/iv_bill_trend"
                        android:layout_width="@dimen/dp_8"
                        android:layout_height="@dimen/dp_9"
                        android:visibility="gone" />

                    <TextView
                        android:id="@+id/tv_bill_trend"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#3c3c3c"
                        android:textSize="@dimen/sp_12" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </com.lihang.ShadowLayout>

</androidx.constraintlayout.widget.ConstraintLayout>